using System;
using System.Data;
using System.Data.SqlClient;
using Microsoft.ApplicationBlocks.Data;

using HISClinic.DataModel;
using HISClinic.DataServices.Database;

namespace HISClinic.DataServices
{
	/// <summary>
	/// DiseaseMapper 的摘要说明。
	/// </summary>
	public class DiseaseMapper
	{
		public DiseaseMapper()
		{
			//
			// TODO: 在此处添加构造函数逻辑
			//
		}

		/// <summary>
		/// 获取疾病信息
		/// </summary>
		/// <returns></returns>
		public DiseasesEx GetDisease()
		{
			DiseasesEx diseasesEx=new DiseasesEx();
		    
			using(SqlConnection conn=HISDBConfig.GetNewConection())
			{
				SqlHelper.FillDataset(conn,"ut_GetDisease",diseasesEx,new string[] {DiseasesEx.t_DiseaseDataTableEx.TableName_Disease},null);
			}
			return diseasesEx;
		}
	}
}
